#include "TemplatingEngine.h"

#include "File.h"

#include "TestFramework.h"
#include "TestUtils.h"

TEST_CASE(TestTemplatingEngine, "compiler")
{
    auto engine = TemplatingEngine(TestUtils::getTestDataDir());
    const auto content = engine.renderTemplate("index", nullptr);

    File outfile(TestUtils::getTestOutputDir() / "index.html");
    outfile.writeText(content);
}
